/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ProdClaseServicioDAO;
import com.rjconsultores.ventaboletos.entidad.ProdClaseServicio;
import com.rjconsultores.ventaboletos.service.ProdClaseServicioService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("prodClaseServicioService")
public class ProdClaseServicioServiceImpl implements ProdClaseServicioService {

    @Autowired
    private ProdClaseServicioDAO prodClaseServicioDAO;

    public List<ProdClaseServicio> obtenerTodos() {
        return prodClaseServicioDAO.obtenerTodos();
    }

    public ProdClaseServicio obtenerID(Integer id) {
        return prodClaseServicioDAO.obtenerID(id);
    }

    @Transactional
    public ProdClaseServicio suscribir(ProdClaseServicio entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return prodClaseServicioDAO.suscribir(entidad);
    }

    @Transactional
    public ProdClaseServicio actualizacion(ProdClaseServicio entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return prodClaseServicioDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ProdClaseServicio entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        prodClaseServicioDAO.actualizacion(entidad);
    }
}
